---
title: 'ARIA: Main role'
slug: Web/Accessibility/ARIA/Roles/Main_role
tags:
  - ARIA
  - ARIA Role
  - Reference
  - role-main
---
<p>{{draft}}{{Page("/en-US/docs/Web/Accessibility/ARIA/Roles", "Subnav")}}</p>

<p>The <code>main</code> <a href="/en-US/docs/Web/Accessibility/ARIA/ARIA_Techniques#Landmark_roles">landmark role</a> is used to indicate the primary content of a document. The main content area consists of content that is directly related to or expands upon the central topic of a document, or the central functionality of an application.</p>

<pre class="brush: html">&lt;div id="main" role="main"&gt;
  &lt;h1&gt;Avocados&lt;/h1&gt;
  &lt;!-- main section content --&gt;
&lt;/div&gt;
</pre>

<p>This is the main section of a document that discusses avocados. Subsections of this document could discuss their history, the different types, regions where they grow, etc.</p>

<h2 id="Description">Description</h2>

<p>The <code>main</code> role is a navigational <a href="/en-US/docs/Web/Accessibility/ARIA/ARIA_Techniques#Landmark_roles">landmark</a> role identifying the main content of a document. Landmarks can be used by assistive technology to quickly identify and navigate to large sections of the document. By classifying and labeling sections of a page, structural information conveyed visually through layout can be represented programmatically. Screen readers use landmark roles to provide keyboard navigation to important sections of a page. For those navigating via landmark roles, the main role is an alternative for "skip to main content" links.There should only be one <code>main</code> landmark role per document.</p>

<p>The <a href="/en-US/docs/Web/HTML/Element/main"><code>&lt;main&gt;</code> element</a> has a role of <code>main</code>. Developers should always prefer using the correct semantic HTML element over using ARIA.</p>

<p>Documents and applications can be nested in the DOM, which may lead to having more than one main element as DOM descendants. If this is the case, include <code>aria-owns</code> to identify the relationship of the main to it's document or application ancestor.</p>

<h2 id="Example">Example</h2>

<pre><span class="tag">&lt;body&gt;
  &lt;!-- primary navigation --&gt;

  &lt;div role="main"&gt;
    &lt;h1&gt;The </span><span class="st">The First Indochina War</span>&lt;/<span class="tag">h1&gt;</span>
    &lt;!-- article content --&gt;
<span class="pln">  </span>&lt;/div&gt;

 &lt;!-- sidebar and footer --&gt;
<span class="tag">&lt;/body&gt;</span>
</pre>

<h2 id="Accessibility_concerns">Accessibility concerns</h2>

<h3 id="Use_only_one_main_role_per_document">Use only one <code>main</code> role per document</h3>

<p>The <code>main</code> <a href="/en-US/docs/Web/Accessibility/ARIA/ARIA_Techniques#Landmark_roles">landmark role</a> should only be used once per document.</p>

<p>If a document contains two <code>main</code> roles, say updating page content when triggered by JavaScript, the inactive <code>main</code> role's presence should be removed from assistive technology via techniques such as toggling the <a href="/en-US/docs/Web/HTML/Global_attributes/hidden"><code>hidden</code> attribute</a>.</p>

<pre><span class="tag">&lt;main&gt;
  &lt;h1&gt;Active &lt;code&gt;main&lt;/code&gt; element</span>&lt;/<span class="tag">h1&gt;
  &lt;!-- content --&gt;
&lt;/main</span>

<span class="tag">&lt;main hidden&gt;
  &lt;h1&gt;Hidden &lt;code&gt;main&lt;/code&gt; element</span>&lt;/<span class="tag">h1&gt;
  &lt;!-- content --&gt;</span>
<span class="tag">&lt;/main&gt;</span>
</pre>

<h2 id="Best_practices">Best practices</h2>

<h3 id="Prefer_HTML">Prefer HTML</h3>

<p>Using the <a href="/en-US/docs/Web/HTML/Element/main"><code>&lt;main&gt;</code> element</a> will automatically communicate a section has a role of <code>main</code>. If at all possible, prefer using it instead.</p>

<h3 id="Skip_navigation">Skip navigation</h3>

<p>Skip navigation, also known as "skipnav", is a technique that allows an assistive technology user to quickly bypass large sections of repeated content (main navigation, info banners, etc.). This allows the user to access the main content of the page faster.</p>

<p>Adding an <a href="/en-US/docs/Web/HTML/Global_attributes/id"><code>id</code> attribute</a> to the element with a declaration of <code>role="main"</code> allows it to be a target of a skip navigation link.</p>

<pre><span class="tag">&lt;body</span><span class="tag">&gt;
  &lt;a href="#main-content"&gt;Skip to main content&lt;/a&gt;

  &lt;!-- navigation and header content --&gt;

  &lt;div id="main-content" role="main"&gt;
    &lt;!-- main page content --&gt;
  &lt;/div&gt;
&lt;/body&gt;</span>
</pre>

<ul>
 <li><a href="https://webaim.org/techniques/skipnav/">WebAIM: "Skip Navigation" Links</a></li>
</ul>

<h3 id="Added_benefits">Added benefits</h3>

<p>Certain technologies such as browser extensions can generate lists of all landmark roles present on a page, allowing non-screen reader users to also quickly identify and navigate to large sections of the document.</p>

<ul>
 <li><a href="http://matatk.agrip.org.uk/landmarks/">Landmarks browser extension</a></li>
</ul>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
  </tr>
  <tr>
   <td>{{SpecName("ARIA","#main","ARIA Navigtion Role")}}</td>
   <td>{{Spec2('ARIA')}}</td>
  </tr>
  <tr>
   <td>{{SpecName("ARIA Authoring Practices","#aria_lh_main","Navigation Landmark Role")}}</td>
   <td>{{Spec2('ARIA Authoring Practices')}}</td>
  </tr>
 </tbody>
</table>

<h2 id="Screen_reader_support">Screen reader support</h2>

<p>TBD</p>

<h2 id="See_also">See also</h2>

<ul>
 <li><a href="/en-US/docs/Web/HTML/Element/main">&lt;main&gt;: The Main element</a></li>
 <li><a href="https://www.w3.org/TR/wai-aria/#main">main (role): Accessible Rich Internet Applications (WAI-ARIA) 1.1</a></li>
 <li><a href="/en-US/docs/Web/Guide/HTML/Using_HTML_sections_and_outlines">Using HTML sections and outlines</a></li>
 <li><a href="/en-US/docs/Web/Accessibility/ARIA/ARIA_Techniques#Landmark_roles">Landmark roles: Using ARIA: Roles, States, and Properties</a></li>
 <li><a href="https://developer.paciellogroup.com/blog/2013/02/using-wai-aria-landmarks-2013/">Using WAI-ARIA Landmarks – 2013 | The Paciello Group</a></li>
 <li><a href="https://www.scottohara.me/blog/2018/03/03/landmarks.html">Accessible Landmarks | scottohara.me</a></li>
 <li><a href="http://html5doctor.com/the-main-element/">The main element | HTML5 Doctor</a></li>
</ul>
